if(typeof keyman === 'undefined') {
  console.log('Keyboard requires KeymanWeb 10.0 or later');
  if(typeof tavultesoft !== 'undefined') tavultesoft.keymanweb.util.alert("This keyboard requires KeymanWeb 10.0 or later");
} else {
KeymanWeb.KR(new Keyboard_suffixes());
}
function Keyboard_suffixes()
{
  var modCodes = keyman.osk.modifierCodes;
  var keyCodes = keyman.osk.keyCodes;

  this._v=(typeof keyman!="undefined"&&typeof keyman.version=="string")?parseInt(keyman.version,10):9;
  this.KI="Keyboard_suffixes";
  this.KN="Suffixes";
  this.KMINVER="15.0";
  this.KV=null;
  this.KDU=0;
  this.KH='';
  this.KM=1;
  this.KBVER="1.0";
  this.KMBM=0 /* 0x0000 */;
  this.KVKL={
  "phone": {
    "font": "Tahoma",
    "displayUnderlying": false,
    "layer": [
      {
        "id": "default",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_Q",
                "text": "q"
              },
              {
                "id": "K_W",
                "text": "w"
              },
              {
                "id": "K_E",
                "text": "e"
              },
              {
                "id": "K_R",
                "text": "r"
              },
              {
                "id": "K_T",
                "text": "t"
              },
              {
                "id": "K_Y",
                "text": "y"
              },
              {
                "id": "K_U",
                "text": "u"
              },
              {
                "id": "K_I",
                "text": "i"
              },
              {
                "id": "K_O",
                "text": "o"
              },
              {
                "id": "K_P",
                "text": "p"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "pad": "50",
                "text": "a"
              },
              {
                "id": "K_S",
                "text": "s"
              },
              {
                "id": "K_D",
                "text": "d"
              },
              {
                "id": "K_F",
                "text": "f"
              },
              {
                "id": "K_G",
                "text": "g"
              },
              {
                "id": "K_H",
                "text": "h"
              },
              {
                "id": "K_J",
                "text": "j"
              },
              {
                "id": "K_K",
                "text": "k"
              },
              {
                "id": "K_L",
                "text": "l"
              },
              {
                "width": "10",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "shift",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*"
              },
              {
                "id": "K_Z",
                "text": "z"
              },
              {
                "id": "K_X",
                "text": "x"
              },
              {
                "id": "K_C",
                "text": "c"
              },
              {
                "id": "K_V",
                "text": "v"
              },
              {
                "id": "K_B",
                "text": "b"
              },
              {
                "id": "K_N",
                "text": "n"
              },
              {
                "id": "K_M",
                "text": "m"
              },
              {
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "id": "K_COLON",
                    "text": ";"
                  }
                ]
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "150",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "610",
                "id": "K_SPACE"
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "shift",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_Q",
                "text": "Q"
              },
              {
                "id": "K_W",
                "text": "W"
              },
              {
                "id": "K_E",
                "text": "E"
              },
              {
                "id": "K_R",
                "text": "R"
              },
              {
                "id": "K_T",
                "text": "T"
              },
              {
                "id": "K_Y",
                "text": "Y"
              },
              {
                "id": "K_U",
                "text": "U"
              },
              {
                "id": "K_I",
                "text": "I"
              },
              {
                "id": "K_O",
                "text": "O"
              },
              {
                "id": "K_P",
                "text": "P"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "pad": "50",
                "text": "A"
              },
              {
                "id": "K_S",
                "text": "S"
              },
              {
                "id": "K_D",
                "text": "D"
              },
              {
                "id": "K_F",
                "text": "F"
              },
              {
                "id": "K_G",
                "text": "G"
              },
              {
                "id": "K_H",
                "text": "H"
              },
              {
                "id": "K_J",
                "text": "J"
              },
              {
                "id": "K_K",
                "text": "K"
              },
              {
                "id": "K_L",
                "text": "L"
              },
              {
                "width": "10",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "default",
                "id": "K_SHIFT",
                "sp": "2",
                "text": "*Shift*"
              },
              {
                "id": "K_Z",
                "text": "Z"
              },
              {
                "id": "K_X",
                "text": "X"
              },
              {
                "id": "K_C",
                "text": "C"
              },
              {
                "id": "K_V",
                "text": "V"
              },
              {
                "id": "K_B",
                "text": "B"
              },
              {
                "id": "K_N",
                "text": "N"
              },
              {
                "id": "K_M",
                "text": "M"
              },
              {
                "layer": "default",
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "layer": "default",
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "layer": "default",
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "layer": "default",
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "layer": "default",
                    "id": "K_COLON",
                    "text": ";"
                  }
                ]
              },
              {
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "150",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "610",
                "id": "K_SPACE"
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "numeric",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_1",
                "text": "1"
              },
              {
                "id": "K_2",
                "text": "2"
              },
              {
                "id": "K_3",
                "text": "3"
              },
              {
                "id": "K_4",
                "text": "4"
              },
              {
                "id": "K_5",
                "text": "5"
              },
              {
                "id": "K_6",
                "text": "6"
              },
              {
                "id": "K_7",
                "text": "7"
              },
              {
                "id": "K_8",
                "text": "8"
              },
              {
                "id": "K_9",
                "text": "9"
              },
              {
                "id": "K_0",
                "text": "0"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "layer": "shift",
                "id": "K_4",
                "pad": "50",
                "text": "$"
              },
              {
                "layer": "shift",
                "id": "K_2",
                "text": "@"
              },
              {
                "layer": "shift",
                "id": "K_3",
                "text": "#"
              },
              {
                "layer": "shift",
                "id": "K_5",
                "text": "%"
              },
              {
                "layer": "shift",
                "id": "K_7",
                "text": "&"
              },
              {
                "layer": "shift",
                "id": "K_HYPHEN",
                "text": "_"
              },
              {
                "layer": "default",
                "id": "K_EQUAL",
                "text": "="
              },
              {
                "layer": "shift",
                "id": "K_BKSLASH",
                "text": "|"
              },
              {
                "layer": "default",
                "id": "K_BKSLASH",
                "text": "\\"
              },
              {
                "width": "10",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "id": "K_LBRKT",
                "pad": "110",
                "text": "[",
                "sk": [
                  {
                    "id": "U_00AB",
                    "text": "\u00AB"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COMMA",
                    "text": "<"
                  },
                  {
                    "layer": "shift",
                    "id": "K_LBRKT",
                    "text": "{"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_9",
                "text": "("
              },
              {
                "layer": "shift",
                "id": "K_0",
                "text": ")"
              },
              {
                "id": "K_RBRKT",
                "text": "]",
                "sk": [
                  {
                    "id": "U_00BB",
                    "text": "\u00BB"
                  },
                  {
                    "layer": "shift",
                    "id": "K_PERIOD",
                    "text": ">"
                  },
                  {
                    "layer": "shift",
                    "id": "K_RBRKT",
                    "text": "}"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_EQUAL",
                "text": "+"
              },
              {
                "id": "K_HYPHEN",
                "text": "-"
              },
              {
                "layer": "shift",
                "id": "K_8",
                "text": "*"
              },
              {
                "id": "K_SLASH",
                "text": "/"
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "150",
                "id": "K_LOWER",
                "sp": "1",
                "text": "*abc*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "610",
                "id": "K_SPACE"
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      }
    ]
  },
  "tablet": {
    "font": "Tahoma",
    "displayUnderlying": false,
    "layer": [
      {
        "id": "default",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_Q",
                "text": "q"
              },
              {
                "id": "K_W",
                "text": "w"
              },
              {
                "id": "K_E",
                "text": "e"
              },
              {
                "id": "K_R",
                "text": "r"
              },
              {
                "id": "K_T",
                "text": "t"
              },
              {
                "id": "K_Y",
                "text": "y"
              },
              {
                "id": "K_U",
                "text": "u"
              },
              {
                "id": "K_I",
                "text": "i"
              },
              {
                "id": "K_O",
                "text": "o"
              },
              {
                "id": "K_P",
                "text": "p"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "pad": "70",
                "text": "a"
              },
              {
                "id": "K_S",
                "text": "s"
              },
              {
                "id": "K_D",
                "text": "d"
              },
              {
                "id": "K_F",
                "text": "f"
              },
              {
                "id": "K_G",
                "text": "g"
              },
              {
                "id": "K_H",
                "text": "h"
              },
              {
                "id": "K_J",
                "text": "j"
              },
              {
                "id": "K_K",
                "text": "k"
              },
              {
                "id": "K_L",
                "text": "l"
              },
              {
                "width": "10",
                "id": "T_new_88",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "shift",
                "width": "110",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*"
              },
              {
                "id": "K_Z",
                "text": "z"
              },
              {
                "id": "K_X",
                "text": "x"
              },
              {
                "id": "K_C",
                "text": "c"
              },
              {
                "id": "K_V",
                "text": "v"
              },
              {
                "id": "K_B",
                "text": "b"
              },
              {
                "id": "K_N",
                "text": "n"
              },
              {
                "id": "K_M",
                "text": "m"
              },
              {
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "id": "K_COLON",
                    "text": ";"
                  }
                ]
              },
              {
                "width": "90",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "140",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "630",
                "id": "K_SPACE"
              },
              {
                "width": "140",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "shift",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_Q",
                "text": "Q"
              },
              {
                "id": "K_W",
                "text": "W"
              },
              {
                "id": "K_E",
                "text": "E"
              },
              {
                "id": "K_R",
                "text": "R"
              },
              {
                "id": "K_T",
                "text": "T"
              },
              {
                "id": "K_Y",
                "text": "Y"
              },
              {
                "id": "K_U",
                "text": "U"
              },
              {
                "id": "K_I",
                "text": "I"
              },
              {
                "id": "K_O",
                "text": "O"
              },
              {
                "id": "K_P",
                "text": "P"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "pad": "70",
                "text": "A"
              },
              {
                "id": "K_S",
                "text": "S"
              },
              {
                "id": "K_D",
                "text": "D"
              },
              {
                "id": "K_F",
                "text": "F"
              },
              {
                "id": "K_G",
                "text": "G"
              },
              {
                "id": "K_H",
                "text": "H"
              },
              {
                "id": "K_J",
                "text": "J"
              },
              {
                "id": "K_K",
                "text": "K"
              },
              {
                "id": "K_L",
                "text": "L"
              },
              {
                "width": "10",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "default",
                "width": "110",
                "id": "K_SHIFT",
                "sp": "2",
                "text": "*Shift*"
              },
              {
                "id": "K_Z",
                "text": "Z"
              },
              {
                "id": "K_X",
                "text": "X"
              },
              {
                "id": "K_C",
                "text": "C"
              },
              {
                "id": "K_V",
                "text": "V"
              },
              {
                "id": "K_B",
                "text": "B"
              },
              {
                "id": "K_N",
                "text": "N"
              },
              {
                "id": "K_M",
                "text": "M"
              },
              {
                "layer": "default",
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "layer": "default",
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "layer": "default",
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "layer": "default",
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "layer": "default",
                    "id": "K_COLON",
                    "text": ";"
                  }
                ]
              },
              {
                "width": "90",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "140",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "630",
                "id": "K_SPACE"
              },
              {
                "width": "140",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "numeric",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_1",
                "text": "1"
              },
              {
                "id": "K_2",
                "text": "2"
              },
              {
                "id": "K_3",
                "text": "3"
              },
              {
                "id": "K_4",
                "text": "4"
              },
              {
                "id": "K_5",
                "text": "5"
              },
              {
                "id": "K_6",
                "text": "6"
              },
              {
                "id": "K_7",
                "text": "7"
              },
              {
                "id": "K_8",
                "text": "8"
              },
              {
                "id": "K_9",
                "text": "9"
              },
              {
                "id": "K_0",
                "text": "0"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "layer": "shift",
                "id": "K_4",
                "pad": "70",
                "text": "$"
              },
              {
                "layer": "shift",
                "id": "K_2",
                "text": "@"
              },
              {
                "layer": "shift",
                "id": "K_3",
                "text": "#"
              },
              {
                "layer": "shift",
                "id": "K_5",
                "text": "%"
              },
              {
                "layer": "shift",
                "id": "K_7",
                "text": "&"
              },
              {
                "layer": "shift",
                "id": "K_HYPHEN",
                "text": "_"
              },
              {
                "layer": "default",
                "id": "K_EQUAL",
                "text": "="
              },
              {
                "layer": "shift",
                "id": "K_BKSLASH",
                "text": "|"
              },
              {
                "layer": "default",
                "id": "K_BKSLASH",
                "text": "\\"
              },
              {
                "width": "10",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "width": "110",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*"
              },
              {
                "id": "K_LBRKT",
                "text": "[",
                "sk": [
                  {
                    "id": "U_00AB",
                    "text": "\u00AB"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COMMA",
                    "text": "<"
                  },
                  {
                    "layer": "shift",
                    "id": "K_LBRKT",
                    "text": "{"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_9",
                "text": "("
              },
              {
                "layer": "shift",
                "id": "K_0",
                "text": ")"
              },
              {
                "id": "K_RBRKT",
                "text": "]",
                "sk": [
                  {
                    "id": "U_00BB",
                    "text": "\u00BB"
                  },
                  {
                    "layer": "shift",
                    "id": "K_PERIOD",
                    "text": ">"
                  },
                  {
                    "layer": "shift",
                    "id": "K_RBRKT",
                    "text": "}"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_EQUAL",
                "text": "+"
              },
              {
                "layer": "default",
                "id": "K_HYPHEN",
                "text": "-"
              },
              {
                "layer": "shift",
                "id": "K_8",
                "text": "*"
              },
              {
                "layer": "default",
                "id": "K_SLASH",
                "text": "/"
              },
              {
                "width": "90",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "140",
                "id": "K_LOWER",
                "sp": "1",
                "text": "*abc*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "630",
                "id": "K_SPACE"
              },
              {
                "width": "140",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      }
    ]
  }
}
;
  this.s_key_9=KeymanWeb.KLOAD(this.KI,"key","");
  this.s_S1_10=KeymanWeb.KLOAD(this.KI,"S1","");
  this.s_S2_11=KeymanWeb.KLOAD(this.KI,"S2","");
  this.s_S3_12=KeymanWeb.KLOAD(this.KI,"S3","");
  this.s_ao_15="ao";
  this.s_aoe_16="aoe";
  this.s29="1";
  this.s30="2";
  this.s31="3";
  this.s32="4";
  this.s33="5";
  this.s34="6";
  this.s41="2";
  this.s42="n";
  this.s43="2";
  this.s44="";
  this.s45="3";
  this.s46="";
  this.s47="3";
  this.s48="";
  this.s49="3";
  this.s50="";
  this.s51="jn";
  this.s52="n";
  this.s53="j";
  this.s54="";
  this.s56="o";
  this.s57="a";
  this.s58="e";
  this.s59="i";
  this.s60="as";
  this.s61="is";
  this.s62="os";
  this.s63="us";
  this.s64="u";
  this.s65="a";
  this.s67="ant";
  this.s68="int";
  this.s69="ont";
  this.s70="at";
  this.s71="it";
  this.s72="ot";
  this.s73="";
  this.s75="n";
  this.s76="j";
  this.s77="jn";
  this.s78="o";
  this.s79="a";
  this.s80="e";
  this.s81="i";
  this.s82="as";
  this.s83="is";
  this.s84="os";
  this.s85="us";
  this.s86="u";
  this.s87="ant";
  this.s88="int";
  this.s89="ont";
  this.s90="at";
  this.s91="it";
  this.s92="ot";
  this.KVER="16.0.144.0";
  this.KVS=['s_key_9','s_S1_10','s_S2_11','s_S3_12'];
  this.gs=function(t,e) {
    return this.g_main_0(t,e);
  };
  this.gs=function(t,e) {
    return this.g_main_0(t,e);
  };
  this.g_main_0=function(t,e) {
    var k=KeymanWeb,r=0,m=0;
    if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_1 /* 0x31 */)) {
      if(1){
        r=m=1;   // Line 46
        k.KDC(0,t);
        this.s_key_9=this.s29;
        r=this.g_K1_Exec_1(t,e);
        m=2;
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_2 /* 0x32 */)) {
      if(1){
        r=m=1;   // Line 51
        k.KDC(0,t);
        this.s_key_9=this.s30;
        r=this.g_S1_Prep_7(t,e);
        m=2;
        r=this.g_K2_Exec_2(t,e);
        m=2;
        r=this.g_S1_Exec_10(t,e);
        m=2;
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_3 /* 0x33 */)) {
      if(1){
        r=m=1;   // Line 52
        k.KDC(0,t);
        this.s_key_9=this.s31;
        r=this.g_S1_Prep_7(t,e);
        m=2;
        r=this.g_K3_Exec_3(t,e);
        m=2;
        r=this.g_S1_Exec_10(t,e);
        m=2;
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_4 /* 0x34 */)) {
      if(1){
        r=m=1;   // Line 57
        k.KDC(0,t);
        this.s_key_9=this.s32;
        r=this.g_S1_Prep_7(t,e);
        m=2;
        r=this.g_S2_Prep_8(t,e);
        m=2;
        r=this.g_K4_Exec_4(t,e);
        m=2;
        r=this.g_S2_Exec_11(t,e);
        m=2;
        r=this.g_S1_Exec_10(t,e);
        m=2;
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_5 /* 0x35 */)) {
      if(1){
        r=m=1;   // Line 58
        k.KDC(0,t);
        this.s_key_9=this.s33;
        r=this.g_S1_Prep_7(t,e);
        m=2;
        r=this.g_S2_Prep_8(t,e);
        m=2;
        r=this.g_K5_Exec_5(t,e);
        m=2;
        r=this.g_S2_Exec_11(t,e);
        m=2;
        r=this.g_S1_Exec_10(t,e);
        m=2;
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_6 /* 0x36 */)) {
      if(1){
        r=m=1;   // Line 63
        k.KDC(0,t);
        this.s_key_9=this.s34;
        r=this.g_S1_Prep_7(t,e);
        m=2;
        r=this.g_S2_Prep_8(t,e);
        m=2;
        r=this.g_S3_Prep_9(t,e);
        m=2;
        r=this.g_K6_Exec_6(t,e);
        m=2;
        r=this.g_S3_Exec_12(t,e);
        m=2;
        r=this.g_S2_Exec_11(t,e);
        m=2;
        r=this.g_S1_Exec_10(t,e);
        m=2;
      }
    }
    return r;
  };
  this.g_K1_Exec_1=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(3,t,[{t:'a',a:this.s_ao_15},'j','n'])){
        m=1;   // Line 81
        k.KDC(3,t);
        k.KIO(-1,this.s_ao_15,1,t);
      }
      else if(k.KFCM(2,t,[{t:'a',a:this.s_ao_15},'n'])){
        m=1;   // Line 79
        k.KDC(2,t);
        k.KIO(-1,this.s_ao_15,1,t);
        k.KO(-1,t,"j");
      }
      else if(k.KFCM(2,t,[{t:'a',a:this.s_ao_15},'j'])){
        m=1;   // Line 80
        k.KDC(2,t);
        k.KIO(-1,this.s_ao_15,1,t);
        k.KO(-1,t,"jn");
      }
      else if(k.KFCM(1,t,[{t:'a',a:this.s_aoe_16}])){
        m=1;   // Line 78
        k.KDC(1,t);
        k.KIO(-1,this.s_aoe_16,1,t);
        k.KO(-1,t,"n");
      }
    if(!m) {
    
      k.KDC(-1,t);
    }
    return r;
  };
  this.g_K2_Exec_2=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(2,t,['a','s'])){
        m=1;   // Line 100
        k.KDC(2,t);
        k.KO(-1,t,"o");
      }
      else if(k.KFCM(2,t,['i','s'])){
        m=1;   // Line 101
        k.KDC(2,t);
        k.KO(-1,t,"o");
      }
      else if(k.KFCM(2,t,['o','s'])){
        m=1;   // Line 102
        k.KDC(2,t);
        k.KO(-1,t,"o");
      }
      else if(k.KFCM(2,t,['u','s'])){
        m=1;   // Line 103
        k.KDC(2,t);
        k.KO(-1,t,"o");
      }
      else if(k.KFCM(1,t,['o'])){
        m=1;   // Line 92
        k.KDC(1,t);
        k.KO(-1,t,"a");
      }
      else if(k.KFCM(1,t,['a'])){
        m=1;   // Line 93
        k.KDC(1,t);
        k.KO(-1,t,"e");
      }
      else if(k.KFCM(1,t,['e'])){
        m=1;   // Line 94
        k.KDC(1,t);
        k.KO(-1,t,"o");
      }
      else if(k.KFCM(1,t,['i'])){
        m=1;   // Line 99
        k.KDC(1,t);
        k.KO(-1,t,"o");
      }
      else if(k.KFCM(1,t,['u'])){
        m=1;   // Line 104
        k.KDC(1,t);
        k.KO(-1,t,"o");
      }
    if(!m) {
    
      k.KDC(-1,t);
      k.KO(-1,t,"o");
    }
    return r;
  };
  this.g_K3_Exec_3=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(2,t,['a','s'])){
        m=1;   // Line 116
        k.KDC(2,t);
        k.KO(-1,t,"is");
      }
      else if(k.KFCM(2,t,['i','s'])){
        m=1;   // Line 117
        k.KDC(2,t);
        k.KO(-1,t,"os");
      }
      else if(k.KFCM(2,t,['o','s'])){
        m=1;   // Line 118
        k.KDC(2,t);
        k.KO(-1,t,"us");
      }
      else if(k.KFCM(2,t,['u','s'])){
        m=1;   // Line 119
        k.KDC(2,t);
        k.KO(-1,t,"u");
      }
      else if(k.KFCM(1,t,['i'])){
        m=1;   // Line 115
        k.KDC(1,t);
        k.KO(-1,t,"as");
      }
      else if(k.KFCM(1,t,['u'])){
        m=1;   // Line 120
        k.KDC(1,t);
        k.KO(-1,t,"i");
      }
      else if(k.KFCM(1,t,['o'])){
        m=1;   // Line 125
        k.KDC(1,t);
        k.KO(-1,t,"i");
      }
      else if(k.KFCM(1,t,['a'])){
        m=1;   // Line 126
        k.KDC(1,t);
        k.KO(-1,t,"i");
      }
      else if(k.KFCM(1,t,['e'])){
        m=1;   // Line 127
        k.KDC(1,t);
        k.KO(-1,t,"i");
      }
    if(!m) {
    
      k.KDC(-1,t);
      k.KO(-1,t,"i");
    }
    return r;
  };
  this.g_K4_Exec_4=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(3,t,['a','n','t'])){
        m=1;   // Line 138
        k.KDC(3,t);
        k.KO(-1,t,"int");
      }
      else if(k.KFCM(3,t,['i','n','t'])){
        m=1;   // Line 139
        k.KDC(3,t);
        k.KO(-1,t,"ont");
      }
      else if(k.KFCM(3,t,['o','n','t'])){
        m=1;   // Line 140
        k.KDC(3,t);
      }
      else if(k.KFCM(2,t,['a','t'])){
        m=1;   // Line 145
        k.KDC(2,t);
        k.KO(-1,t,"ant");
      }
      else if(k.KFCM(2,t,['i','t'])){
        m=1;   // Line 146
        k.KDC(2,t);
        k.KO(-1,t,"ant");
      }
      else if(k.KFCM(2,t,['o','t'])){
        m=1;   // Line 147
        k.KDC(2,t);
        k.KO(-1,t,"ant");
      }
    if(!m) {
    
      k.KDC(-1,t);
      k.KO(-1,t,"ant");
    }
    return r;
  };
  this.g_K5_Exec_5=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(3,t,['a','n','t'])){
        m=1;   // Line 165
        k.KDC(3,t);
        k.KO(-1,t,"at");
      }
      else if(k.KFCM(3,t,['i','n','t'])){
        m=1;   // Line 166
        k.KDC(3,t);
        k.KO(-1,t,"at");
      }
      else if(k.KFCM(3,t,['o','n','t'])){
        m=1;   // Line 167
        k.KDC(3,t);
        k.KO(-1,t,"at");
      }
      else if(k.KFCM(2,t,['a','t'])){
        m=1;   // Line 158
        k.KDC(2,t);
        k.KO(-1,t,"it");
      }
      else if(k.KFCM(2,t,['i','t'])){
        m=1;   // Line 159
        k.KDC(2,t);
        k.KO(-1,t,"ot");
      }
      else if(k.KFCM(2,t,['o','t'])){
        m=1;   // Line 160
        k.KDC(2,t);
      }
    if(!m) {
    
      k.KDC(-1,t);
      k.KO(-1,t,"at");
    }
    return r;
  };
  this.g_K6_Exec_6=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(2,t,['i','g'])){
        m=1;   // Line 178
        k.KDC(2,t);
        k.KO(-1,t,"iĝ");
      }
      else if(k.KFCM(2,t,['i','ĝ'])){
        m=1;   // Line 179
        k.KDC(2,t);
      }
    if(!m) {
    
      k.KDC(-1,t);
      k.KO(-1,t,"ig");
    }
    return r;
  };
  this.g_S1_Prep_7=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(3,t,['a','j','n'])&&this.s_key_9===this.s41){
        m=1;   // Line 190
        k.KDC(3,t);
        k.KO(-1,t,"a");
        this.s_S1_10=this.s42;
      }
      else if(k.KFCM(2,t,['a','j'])&&this.s_key_9===this.s43){
        m=1;   // Line 191
        k.KDC(2,t);
        k.KO(-1,t,"a");
        this.s_S1_10=this.s44;
      }
      else if(k.KFCM(2,t,['j','n'])&&this.s_key_9===this.s45){
        m=1;   // Line 192
        k.KDC(2,t);
        this.s_S1_10=this.s46;
      }
      else if(k.KFCM(1,t,['j'])&&this.s_key_9===this.s47){
        m=1;   // Line 193
        k.KDC(1,t);
        this.s_S1_10=this.s48;
      }
      else if(k.KFCM(1,t,['n'])&&this.s_key_9===this.s49){
        m=1;   // Line 194
        k.KDC(1,t);
        this.s_S1_10=this.s50;
      }
      else if(k.KFCM(2,t,['j','n'])){
        m=1;   // Line 196
        k.KDC(2,t);
        this.s_S1_10=this.s51;
      }
      else if(k.KFCM(1,t,['n'])){
        m=1;   // Line 197
        k.KDC(1,t);
        this.s_S1_10=this.s52;
      }
      else if(k.KFCM(1,t,['j'])){
        m=1;   // Line 198
        k.KDC(1,t);
        this.s_S1_10=this.s53;
      }
    if(!m) {
    
      k.KDC(-1,t);
      this.s_S1_10=this.s54;
    }
    return r;
  };
  this.g_S2_Prep_8=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(2,t,['a','s'])){
        m=1;   // Line 214
        k.KDC(2,t);
        this.s_S2_11=this.s60;
      }
      else if(k.KFCM(2,t,['i','s'])){
        m=1;   // Line 215
        k.KDC(2,t);
        this.s_S2_11=this.s61;
      }
      else if(k.KFCM(2,t,['o','s'])){
        m=1;   // Line 216
        k.KDC(2,t);
        this.s_S2_11=this.s62;
      }
      else if(k.KFCM(2,t,['u','s'])){
        m=1;   // Line 217
        k.KDC(2,t);
        this.s_S2_11=this.s63;
      }
      else if(k.KFCM(1,t,['o'])){
        m=1;   // Line 209
        k.KDC(1,t);
        this.s_S2_11=this.s56;
      }
      else if(k.KFCM(1,t,['a'])){
        m=1;   // Line 210
        k.KDC(1,t);
        this.s_S2_11=this.s57;
      }
      else if(k.KFCM(1,t,['e'])){
        m=1;   // Line 211
        k.KDC(1,t);
        this.s_S2_11=this.s58;
      }
      else if(k.KFCM(1,t,['i'])){
        m=1;   // Line 213
        k.KDC(1,t);
        this.s_S2_11=this.s59;
      }
      else if(k.KFCM(1,t,['u'])){
        m=1;   // Line 218
        k.KDC(1,t);
        this.s_S2_11=this.s64;
      }
    if(!m) {
    
      k.KDC(-1,t);
      this.s_S2_11=this.s65;
    }
    return r;
  };
  this.g_S3_Prep_9=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(3,t,['a','n','t'])){
        m=1;   // Line 233
        k.KDC(3,t);
        this.s_S3_12=this.s67;
      }
      else if(k.KFCM(3,t,['i','n','t'])){
        m=1;   // Line 234
        k.KDC(3,t);
        this.s_S3_12=this.s68;
      }
      else if(k.KFCM(3,t,['o','n','t'])){
        m=1;   // Line 235
        k.KDC(3,t);
        this.s_S3_12=this.s69;
      }
      else if(k.KFCM(2,t,['a','t'])){
        m=1;   // Line 237
        k.KDC(2,t);
        this.s_S3_12=this.s70;
      }
      else if(k.KFCM(2,t,['i','t'])){
        m=1;   // Line 238
        k.KDC(2,t);
        this.s_S3_12=this.s71;
      }
      else if(k.KFCM(2,t,['o','t'])){
        m=1;   // Line 239
        k.KDC(2,t);
        this.s_S3_12=this.s72;
      }
    if(!m) {
    
      k.KDC(-1,t);
      this.s_S3_12=this.s73;
    }
    return r;
  };
  this.g_S1_Exec_10=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(this.s_S1_10===this.s75){
        m=1;   // Line 253
        k.KDC(0,t);
        k.KO(-1,t,"n");
      }
      else if(this.s_S1_10===this.s76){
        m=1;   // Line 254
        k.KDC(0,t);
        k.KO(-1,t,"j");
      }
      else if(this.s_S1_10===this.s77){
        m=1;   // Line 255
        k.KDC(0,t);
        k.KO(-1,t,"jn");
      }
    return r;
  };
  this.g_S2_Exec_11=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(this.s_S2_11===this.s78){
        m=1;   // Line 267
        k.KDC(0,t);
        k.KO(-1,t,"o");
      }
      else if(this.s_S2_11===this.s79){
        m=1;   // Line 268
        k.KDC(0,t);
        k.KO(-1,t,"a");
      }
      else if(this.s_S2_11===this.s80){
        m=1;   // Line 269
        k.KDC(0,t);
        k.KO(-1,t,"e");
      }
      else if(this.s_S2_11===this.s81){
        m=1;   // Line 274
        k.KDC(0,t);
        k.KO(-1,t,"i");
      }
      else if(this.s_S2_11===this.s82){
        m=1;   // Line 275
        k.KDC(0,t);
        k.KO(-1,t,"as");
      }
      else if(this.s_S2_11===this.s83){
        m=1;   // Line 276
        k.KDC(0,t);
        k.KO(-1,t,"is");
      }
      else if(this.s_S2_11===this.s84){
        m=1;   // Line 277
        k.KDC(0,t);
        k.KO(-1,t,"os");
      }
      else if(this.s_S2_11===this.s85){
        m=1;   // Line 278
        k.KDC(0,t);
        k.KO(-1,t,"us");
      }
      else if(this.s_S2_11===this.s86){
        m=1;   // Line 279
        k.KDC(0,t);
        k.KO(-1,t,"u");
      }
    return r;
  };
  this.g_S3_Exec_12=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(this.s_S3_12===this.s87){
        m=1;   // Line 291
        k.KDC(0,t);
        k.KO(-1,t,"ant");
      }
      else if(this.s_S3_12===this.s88){
        m=1;   // Line 292
        k.KDC(0,t);
        k.KO(-1,t,"int");
      }
      else if(this.s_S3_12===this.s89){
        m=1;   // Line 293
        k.KDC(0,t);
        k.KO(-1,t,"ont");
      }
      else if(this.s_S3_12===this.s90){
        m=1;   // Line 298
        k.KDC(0,t);
        k.KO(-1,t,"at");
      }
      else if(this.s_S3_12===this.s91){
        m=1;   // Line 299
        k.KDC(0,t);
        k.KO(-1,t,"it");
      }
      else if(this.s_S3_12===this.s92){
        m=1;   // Line 300
        k.KDC(0,t);
        k.KO(-1,t,"ot");
      }
    return r;
  };
}
